curl --request GET \
--url https://{environment}.plugsurfing.com/emp/v1/orders/{orderId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "aYnky297eG",
"address": {
"country": "Austria",
"additionalInformation": "test test",
"firstName": "Frans",
"lastName": "Anderson",
"city": "Wistful Vista",
"postalCode": "85960",
"companyName": "Low area Corp.",
"addressLine1": "First Way 261b",
"addressLine2": "Suite 9"
},
"quantity": 1,
"language": "en",
"product": {
"id": "Am07b6Q7JZ"
},
"created": "2023-06-26T10:00:00Z",
"organizationId": "JoEl1xoP7r",
"status": "ORDER_ASSIGNED",
"updated": "2023-06-26T12:00:00Z",
"chargingKeys": [
{
"name": "SE6F1K2C3",
"keyIdentifier": "0462D53C8ABAC0",
"fleetId": "fleet-123",
"contractId": "DE-9FS-C045DS363-E",
"visualNumber": "1234567890123456",
"enabled": false,
"whitelist": "NEVER"
}
]
}{
"message": "Resource not found"
}{
"message": "An unexpected error occurred."
}Fetch a charging key order
Returns a single charging key order, including the charging keys of its manufactured cards.
curl --request GET \
--url https://{environment}.plugsurfing.com/emp/v1/orders/{orderId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/emp/v1/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "aYnky297eG",
"address": {
"country": "Austria",
"additionalInformation": "test test",
"firstName": "Frans",
"lastName": "Anderson",
"city": "Wistful Vista",
"postalCode": "85960",
"companyName": "Low area Corp.",
"addressLine1": "First Way 261b",
"addressLine2": "Suite 9"
},
"quantity": 1,
"language": "en",
"product": {
"id": "Am07b6Q7JZ"
},
"created": "2023-06-26T10:00:00Z",
"organizationId": "JoEl1xoP7r",
"status": "ORDER_ASSIGNED",
"updated": "2023-06-26T12:00:00Z",
"chargingKeys": [
{
"name": "SE6F1K2C3",
"keyIdentifier": "0462D53C8ABAC0",
"fleetId": "fleet-123",
"contractId": "DE-9FS-C045DS363-E",
"visualNumber": "1234567890123456",
"enabled": false,
"whitelist": "NEVER"
}
]
}{
"message": "Resource not found"
}{
"message": "An unexpected error occurred."
}Authorizations
API key for authentication
Path Parameters
ID of the order to fetch
Response
OK
A single EMP charging key order, including the charging keys of its manufactured cards.
Unique identifier of the order product.
"aYnky297eG"
Delivery address for this order product.
Show child attributes
Show child attributes
Number of product units ordered.
1
Language used for order communication.
"en"
Ordered product code or type.
Show child attributes
Show child attributes
UTC timestamp when this product order was created.
"2023-06-26T10:00:00Z"
Identifier of the organization that placed the order.
"JoEl1xoP7r"
Current processing status of the order product.
WAITING_FOR_ORDER, ORDER_PLACED, ORDER_PROCESSING, ORDER_ASSIGNED, ORDER_PAID, ORDER_CANCELLED, ORDER_CANCELLING, ORDER_PAYMENT_FAILED, ORDER_REFUND_FAILED, ORDER_WAITING_REFUND, ORDER_REFUNDED, PAYMENT_ONGOING, ORDER_FILLED, ORDER_PAYED, PREPARE_RECEIPT, ORDER_PAYED_WITHOUT_RECEIPT "ORDER_PAID"
UTC timestamp when this product order was last updated.
"2023-06-26T12:00:00Z"
Printing details associated with the order product. Present only for orders that include physical card customization.
Show child attributes
Show child attributes
Charging keys of the cards manufactured for this order. Omitted until the first card has been manufactured.
Show child attributes
Show child attributes